{
    "path": "$OET_PATH/testcases/function_test/pkg_test/hdf/hdf",
    "machine num": 1,
    "cases": [
        {
            "name": "test_hdf_install",
            "desc": "Test the installation of hdf package"
        },
        {
            "name": "test_hdf_uninstall",
            "desc": "Test the uninstallation of hdf package"
        },
        {
            "name": "test_hdf_h4fc__v",
            "desc": "测试 h4fc 命令的 -v 参数"
        },
        {
            "name": "test_hdf_hdf8to24_j",
            "desc": "使用JPEG压缩默认质量级别的测试用例"
        },
        {
            "name": "test_hdf_hdfls_o",
            "desc": "测试hdfls命令的-o参数，按引用编号顺序显示信息"
        },
        {
            "name": "test_hdf_hdfls_l",
            "desc": "测试hdfls命令的-l参数，以长格式显示更多信息"
        },
        {
            "name": "test_hdf_hdfls_t_num_700",
            "desc": "测试hdfls命令的-t参数，仅列出特定类型标签的信息，例如科学数据组"
        },
        {
            "name": "test_hdf_hdfls_g",
            "desc": "测试hdfls命令的-g参数，列出组中的项目"
        },
        {
            "name": "test_hdf_hdftor8_default",
            "desc": "测试hdftor8命令的默认参数"
        },
        {
            "name": "test_hdf_hncdump__upper_v",
            "desc": "测试 hncdump 命令的 -V 参数，显示 HDF4 库版本并退出"
        },
        {
            "name": "test_hdf_hncdump__l",
            "desc": "测试 hncdump 命令的 -l 参数，设置数据部分的最大行长度"
        },
        {
            "name": "test_hdf_hncdump__n",
            "desc": "测试 hncdump 命令的 -n 参数，指定 netCDF 的名称"
        }
    ]
}